.box {
    width: 100%;
    margin: 0 auto;
    max-width: rem(530);
    padding: rem(30) rem(20);
    background: white;
    border-radius: rem(24);

    &__media {
        text-align: center;
        margin: 0 auto rem(24) auto;
    }

    &__title {
        text-align: center;
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(24);
        font-family: var(--font-secondary);
    }

    &__spinner {
        width: 44px;
        height: 44px;
        margin: rem(24) auto 0 auto;
    }

    @include media-breakpoint-up(md) {
        padding: rem(32);
        width: rem(530);
        flex-shrink: 0;

        &__title {
            font-size: rem(24);
            line-height: rem(28);
        }
    }
}

.spinner {
    width: 44px;
    height: 44px;
    overflow: hidden;
    border-radius: 50%;
    animation-name: rotation;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}


@keyframes rotation {
    0% {
        transform:rotate(0deg);
    }
    100% {
        transform:rotate(360deg);
    }
}
